Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/
From: Michael Albinus <[email-masked]>
To: Jean Louis <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Sep 2022 17:24:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.1

Michael Albinus <[email-masked]> writes:

Hi Jean,

>> These are directories:
>>
>>   drwxrwx---  2 root everybody  4096 Jun 16  1971 Alarms
>>   drwxrwx---  4 root everybody  4096 Jun 16  1971 Android
>>   drwxrwx---  6 root everybody  4096 May 21 08:26 Androzic
>>
>> I cannot enter into directories.
>
> "everybody" is not your primary user group.
>
> Tramp has been optimized to increase the speed recently. It does not
> send the "test -r <file>" command anymore. Instead, it checks the
> permissions of the file, which it knows already.
>
> However, it has checked permissions for your primary group only. That's
> not sufficient, so I've changed Tramp to respect the secondary groups as
> well. Could you, please, check with recent git master whether it works
> for you?

No reply, so I assume it is solved. Closing the bug.

Best regards, Michael.